function s:setupGitLens()
  " -- disable gitlens unconditionally, and remove virtual text
  lua require('gitlens').clearBlameVirtText()
  augroup GitLens
    autocmd!
  augroup END

  " -- if it is wanted enable gitlens on holding the cursor
  if g:gitlens_enable
    augroup GitLens
      autocmd! CursorHold * lua require('gitlens').blameVirtText()
      autocmd! CursorMoved * lua require('gitlens').clearBlameVirtText()
      autocmd! CursorMovedI * lua require('gitlens').clearBlameVirtText()
    augroup END
  endif
endfunction

function s:toggleGitLens()
  let g:gitlens_enable = !get(g:, 'gitlens_enable', 1)
  call s:setupGitLens()
endfunction

command! GitLensToggle call s:toggleGitLens()
